package com.ycwl.basic.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 订单状态枚举
 *
 * @author songmingsong
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum OrderStateEnum {
    NOT_PRESENTED(0, "未提出",1),
    PASSED(1, "已通过",1),
    TO_BE_REVIEWED(2, "待审核",1),
    UNPAID(0, "未支付",2),
    PAID(1, "已支付",2),
    REFUNDED(2, "已退款",2),
    CANCELED(9, "已取消",2);
    private int state;
    private String remark;
    private int type; // 1-退款 2-支付
}
